| CORE(1) | CORE(1)

NAME

| core – print information about dead processes

SYNOPSIS

| `core` [ dir | corefile ]...

DESCRIPTION

Core prints information about dead processes that have been saved as core dumps.

Core reads its arguments in order. If a directory is encountered, core reads every core file named `core.*` or `*.core` in that directory.

For each core file read, core prints the command `stack` file, the date and time the core was generated, and the command that generated it. The `stack` command, if run, prints a stack trace of the executing thread at the time of the core dump; see db(1).

If no arguments are given, core searches the directory `$COREDIR` for core files; if `$COREDIR` is not set, core searches the current directory.

SOURCE

| `/usr/local/plan9/src/cmd/core.c`

SEE ALSO

| acid(1), db(1), core(5)